{
  "env": {
    "browser": true,
    "es6": true
  },
  "parser": "@typescript-eslint/parser",
  "extends": [
    "airbnb-base",
    "plugin:import/typescript",

    // THE LINE BELOW BREAKS ESLINT
    // "plugin:prettier/recommended",
    "prettier/@typescript-eslint"

    //   not sure if I need the top 5
    // "plugin:@typescript-eslint/eslint-recommended",
    // "plugin:@typescript-eslint/recommended",
    // "prettier",
    // "prettier/@typescript-eslint",
    // "plugin:prettier/recommended",
    // "airbnb-base"
  ],
  "globals": {
    "Atomics": "readonly",
    "SharedArrayBuffer": "readonly"
  },
  "parserOptions": {
    "ecmaVersion": 2018,
    "sourceType": "module"
  },
  "plugins": ["@typescript-eslint"],
  "rules": {
    // https://gist.github.com/1natsu172/a65a4b45faed2bd3fa74b24163e4256e
    "import/export": "off",

    "no-unused-vars": "off",
    "@typescript-eslint/no-unused-vars": "error",
    "no-useless-constructor": "off",
    "@typescript-eslint/no-useless-constructor": "error"
  }
}
